[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TLayoutAdjustmentPolicy

Indicates the policy for the LCL to execute automatic adjustments in the form layout.

## Declaration

Source position: controls.pp line 1046

`type TLayoutAdjustmentPolicy = (`
`lapDefault,` |  | Widgetset dependent.
`lapFixedLayout,` |  | A fixed absolute layout on all platforms.
`lapAutoAdjustWithoutHorizontalScrolling,` |  | Smartphone platforms use this one; the x axis is stretched to fill the screen and the y axis is scaled to fit the DPI.
`lapAutoAdjustForDPI` |  | For desktops using High DPI, scale x and y to fit the DPI.
`);`